Scriptname OCW_AMQ_SetDress Extends ObjectReference

Actor Property PlayerRef Auto
ObjectReference[] Property ArrayAllEnableParents Auto
ObjectReference Property OCW_TransitionContentEP Auto
ObjectReference Property OCW_SetDressEP_Garden Auto
ObjectReference Property OCW_SetDressEP_Council Auto
ObjectReference Property OCW_SetDressEP_Spa Auto
ObjectReference Property OCW_SetDressEP_Office Auto
ObjectReference Property OCW_SetDressEP_Archive Auto
ObjectReference Property Water Auto
ObjectReference Property OCW_WaterPosHigh_XMark Auto
ObjectReference Property OCW_WaterPosLow_XMark Auto
Message Property OCW_AMQ_Variations Auto
Message Property OCW_AMQ_Variations_Denied Auto
GlobalVariable Property OCW_AMQ_Variation Auto
Sound Property SFXIn Auto
Sound Property SFXOut Auto
Faction Property CollegeofWinterholdFaction Auto

Event OnActivate(ObjectReference akActionRef)
    if PlayerRef.GetFactionRank(CollegeofWinterholdFaction) >= 6
        AMQMenu()
    else
        OCW_AMQ_Variations_Denied.Show()
    endIf
endEvent

Function AMQMenu(Int aiChoice = 0)
    aiChoice = OCW_AMQ_Variations.Show()
    OCW_AMQ_Variation.SetValue(aiChoice)
    If aiChoice == 0
        ;Debug.Trace("OCW: AMQ - Garden Selected")
        AMQSetup(OCW_SetDressEP_Garden)
    ElseIf aiChoice == 1
        ;Debug.Trace("OCW: AMQ - Council Selected")
        AMQSetup(OCW_SetDressEP_Council)
    ElseIf aiChoice == 2
        ;Debug.Trace("OCW: AMQ - Spa Selected")
        AMQSetup(OCW_SetDressEP_Spa)
    ElseIf aiChoice == 3
        ;Debug.Trace("OCW: AMQ - Office Selected")
        AMQSetup(OCW_SetDressEP_Office)
    ElseIf aiChoice == 4
        ;Debug.Trace("OCW: AMQ - Archive Selected")
        AMQSetup(OCW_SetDressEP_Archive)
    EndIf
EndFunction

Function AMQSetup(ObjectReference Selection)
    if OCW_AMQ_Variation.GetValue() != 2
        Water.TranslateToRef(OCW_WaterPosLow_XMark, 1000.0)
    endIf
    Game.DisablePlayerControls()
    Game.FadeOutGame(true, false, 0, 1.1)
    SFXIn.play(self)
    Utility.Wait(1)
    Game.FadeOutGame(false, false, 2, 1.0)
    SFXOut.play(self)
    OCW_TransitionContentEP.Enable()
    AMQDisableAll()
    Selection.Enable()
    OCW_TransitionContentEP.Disable()
    Utility.Wait(1.0)
    Game.EnablePlayerControls()
    if OCW_AMQ_Variation.GetValue() == 2
        Water.TranslateToRef(OCW_WaterPosHigh_XMark, 1000.0)
    endIf
endFunction

Function AMQDisableAll()
    Int iIndex = ArrayAllEnableParents.Length
    While iIndex
        iIndex -= 1
        ObjectReference xMark = ArrayAllEnableParents[iIndex]
        xMark.Disable()
    EndWhile
endFunction