Scriptname OCW_ArchMageManager extends ObjectReference  

OCW_AMQ_SetDress Property AMQSetDress Auto
OCW_PlaqueManager Property PlaqueMan Auto
Actor Property PlayerRef Auto
Actor Property FaraldaRef Auto
Actor Property TolfdirTheWhiteRef Auto
Actor Property PhinisGestorRef Auto
Actor Property BrelynaMaryonRef Auto
Actor Property JzargoRef Auto
Actor Property NiryaRef Auto
Actor Property OnmundRef Auto
Actor Property ColetteMarenceRef Auto
Actor Property DrevisNelorenRef Auto
Faction Property CollegeofWinterholdFaction Auto
Bool Property ArchMageAppointed Auto Hidden
ObjectReference Property FaraldaRoomEP Auto
ObjectReference Property TolfdirRoomEP Auto
ObjectReference Property PhinisRoomEP Auto
ObjectReference Property BrelynaRoomEP Auto
ObjectReference Property JzargoRoomEP Auto
ObjectReference Property NiryaRoomEP Auto
ObjectReference Property OnmundRoomEP Auto
ObjectReference Property ColetteRoomEP Auto
ObjectReference Property DrevisRoomEP Auto

Function FindArchMage()
        if FaraldaRef.GetFactionRank(CollegeofWinterholdFaction) == 6
            AppointArchMage(AMQSetDress.OCW_SetDressEP_Office, 3, FaraldaRoomEP, "Faralda")
            PlaqueMan.SwapPlaques(PlaqueMan.OCW_PlaqueACTI_Faralda, PlaqueMan.Alias_PlaqueFaralda, PlaqueMan.Alias_PlaqueGuest_AMC)
        elseIf TolfdirTheWhiteRef.GetFactionRank(CollegeofWinterholdFaction) == 6
            AppointArchMage(AMQSetDress.OCW_SetDressEP_Council, 1, TolfdirRoomEP, "Tolfdir")
            PlaqueMan.SwapPlaques(PlaqueMan.OCW_PlaqueACTI_Tolfdir, PlaqueMan.Alias_PlaqueTolfdir, PlaqueMan.Alias_PlaqueGuest_AMC)
        elseIf PhinisGestorRef.GetFactionRank(CollegeofWinterholdFaction) == 6
            AppointArchMage(AMQSetDress.OCW_SetDressEP_Archive, 4, PhinisRoomEP, "Phinis")
            PlaqueMan.SwapPlaques(PlaqueMan.OCW_PlaqueACTI_Phinis, PlaqueMan.Alias_PlaquePhinis, PlaqueMan.Alias_PlaqueGuest_AMC)
        elseIf BrelynaMaryonRef.GetFactionRank(CollegeofWinterholdFaction) == 6
            AppointArchMage(AMQSetDress.OCW_SetDressEP_Office, 3, BrelynaRoomEP, "Brelyna")
            PlaqueMan.SwapPlaques(PlaqueMan.OCW_PlaqueACTI_Brelyna, PlaqueMan.Alias_PlaqueBrelyna, PlaqueMan.Alias_PlaqueGuest_AMC)
        elseIf JzargoRef.GetFactionRank(CollegeofWinterholdFaction) == 6
            AppointArchMage(AMQSetDress.OCW_SetDressEP_Archive, 4, JzargoRoomEP, "Jzargo")
            PlaqueMan.SwapPlaques(PlaqueMan.OCW_PlaqueACTI_Jzargo, PlaqueMan.Alias_PlaqueJzargo, PlaqueMan.Alias_PlaqueGuest_AMC)
        elseIf NiryaRef.GetFactionRank(CollegeofWinterholdFaction) == 6
            AppointArchMage(AMQSetDress.OCW_SetDressEP_Office, 3, NiryaRoomEP, "Nirya")
            PlaqueMan.SwapPlaques(PlaqueMan.OCW_PlaqueACTI_Nirya, PlaqueMan.Alias_PlaqueNirya, PlaqueMan.Alias_PlaqueGuest_AMC)
        elseIf OnmundRef.GetFactionRank(CollegeofWinterholdFaction) == 6
            AppointArchMage(AMQSetDress.OCW_SetDressEP_Council, 1, OnmundRoomEP, "Onmund")
            PlaqueMan.SwapPlaques(PlaqueMan.OCW_PlaqueACTI_Onmund, PlaqueMan.Alias_PlaqueOnmund, PlaqueMan.Alias_PlaqueGuest_AMC)
        elseIf ColetteMarenceRef.GetFactionRank(CollegeofWinterholdFaction) == 6
            AppointArchMage(AMQSetDress.OCW_SetDressEP_Spa, 2, ColetteRoomEP, "Colette")
            PlaqueMan.SwapPlaques(PlaqueMan.OCW_PlaqueACTI_Colette, PlaqueMan.Alias_PlaqueColette, PlaqueMan.Alias_PlaqueGuest_AMC)
        elseIf DrevisNelorenRef.GetFactionRank(CollegeofWinterholdFaction) == 6
            AppointArchMage(AMQSetDress.OCW_SetDressEP_Garden, 0, DrevisRoomEP, "Drevis")
            PlaqueMan.SwapPlaques(PlaqueMan.OCW_PlaqueACTI_Drevis, PlaqueMan.Alias_PlaqueDrevis, PlaqueMan.Alias_PlaqueGuest_AMC)
        endIf
endFunction

Function AppointArchMage(ObjectReference SetDress, Int iVar, ObjectReference RoomEP, String NewAM)
    AMQSetDress.OCW_AMQ_Variation.SetValue(iVar)
    AMQNPCSetup(SetDress)
    RoomEP.Disable()
    ;Debug.Trace("OCW: AMQ - " + NewAM + " is now Arch-Mage")
    ArchMageAppointed = True
    PlaqueMan.SwapPlaques(PlaqueMan.OCW_PlaqueACTI_PlayerRoom, PlaqueMan.Alias_PlaqueGuest_AMC, PlaqueMan.Alias_PlaquePlayer)
endFunction

Function AMQNPCSetup(ObjectReference Selection)
    if AMQSetDress.OCW_AMQ_Variation.GetValue() != 2
        AMQSetDress.Water.TranslateToRef(AMQSetDress.OCW_WaterPosLow_XMark, 1000.0)
    endIf
    AMQSetDress.OCW_TransitionContentEP.Enable()
    AMQSetDress.AMQDisableAll()
    Selection.Enable()
    AMQSetDress.OCW_TransitionContentEP.Disable()
    if AMQSetDress.OCW_AMQ_Variation.GetValue() == 2
        AMQSetDress.Water.TranslateToRef(AMQSetDress.OCW_WaterPosHigh_XMark, 1000.0)
    endIf
endFunction
