Scriptname OCW_DetectArchMage extends ObjectReference  

OCW_AMQ_SetDress Property AMQSetDress Auto
OCW_PlaqueManager Property PlaqueMan Auto
Actor Property PlayerRef Auto
Actor Property FaraldaRef Auto
Actor Property TolfdirTheWhiteRef Auto
Actor Property PhinisGestorRef Auto
Actor Property BrelynaMaryonRef Auto
Actor Property JzargoRef Auto
Actor Property NiryaRef Auto
Actor Property OnmundRef Auto
Actor Property ColetteMarenceRef Auto
Actor Property DrevisNelorenRef Auto
Faction Property CollegeofWinterholdFaction Auto
Bool Property ArchMageAppointed Auto
ObjectReference Property FaraldaDoorSign Auto
ObjectReference Property TolfdirDoorSign Auto
ObjectReference Property PhinisDoorSign Auto
ObjectReference Property BrelynaDoorSign Auto
ObjectReference Property JzargoDoorSign Auto
ObjectReference Property NiryaDoorSign Auto
ObjectReference Property OnmundDoorSign Auto
ObjectReference Property ColetteDoorSign Auto
ObjectReference Property DrevisDoorSign Auto

Function AppointArchMage()
        if FaraldaRef.GetFactionRank(CollegeofWinterholdFaction) == 6
            AMQNPCSetup(AMQSetDress.OCW_SetDressEP_Office)
            AMQSetDress.OCW_AMQ_Variation.SetValue(3)
            FaraldaDoorSign.Disable()
            ;Debug.Trace("OCW: AMQ - Faralda is Arch-Mage")
            ArchMageAppointed = True
        elseIf TolfdirTheWhiteRef.GetFactionRank(CollegeofWinterholdFaction) == 6
            AMQNPCSetup(AMQSetDress.OCW_SetDressEP_Council)
            AMQSetDress.OCW_AMQ_Variation.SetValue(1)
            PlaqueMan.SwapPlaques(PlaqueMan.OCW_PlaqueACTI_Tolfdir, PlaqueMan.Alias_PlaqueTolfdir, PlaqueMan.Alias_PlaqueGuest)
            ;Debug.Trace("OCW: AMQ - Tolfdir is Arch-Mage")
            ArchMageAppointed = True
        elseIf PhinisGestorRef.GetFactionRank(CollegeofWinterholdFaction) == 6
            AMQNPCSetup(AMQSetDress.OCW_SetDressEP_Archive)
            AMQSetDress.OCW_AMQ_Variation.SetValue(4)
            PhinisDoorSign.Disable()
            ;Debug.Trace("OCW: AMQ - Phinis is Arch-Mage")
            ArchMageAppointed = True
        elseIf BrelynaMaryonRef.GetFactionRank(CollegeofWinterholdFaction) == 6
            AMQNPCSetup(AMQSetDress.OCW_SetDressEP_Office)
            AMQSetDress.OCW_AMQ_Variation.SetValue(3)
            BrelynaDoorSign.Disable()
            ;Debug.Trace("OCW: AMQ - Brelyna is Arch-Mage")
            ArchMageAppointed = True
        elseIf JzargoRef.GetFactionRank(CollegeofWinterholdFaction) == 6
            AMQNPCSetup(AMQSetDress.OCW_SetDressEP_Archive)
            AMQSetDress.OCW_AMQ_Variation.SetValue(4)
            JzargoDoorSign.Disable()
            ;Debug.Trace("OCW: AMQ - Jzargo is Arch-Mage")
            ArchMageAppointed = True
        elseIf NiryaRef.GetFactionRank(CollegeofWinterholdFaction) == 6
            AMQNPCSetup(AMQSetDress.OCW_SetDressEP_Office)
            AMQSetDress.OCW_AMQ_Variation.SetValue(3)
            NiryaDoorSign.Disable()
            ;Debug.Trace("OCW: AMQ - Nirya is Arch-Mage")
            ArchMageAppointed = True
        elseIf OnmundRef.GetFactionRank(CollegeofWinterholdFaction) == 6
            AMQNPCSetup(AMQSetDress.OCW_SetDressEP_Council)
            AMQSetDress.OCW_AMQ_Variation.SetValue(1)
            OnmundDoorSign.Disable()
            ;Debug.Trace("OCW: AMQ - Onmund is Arch-Mage")
            ArchMageAppointed = True
        elseIf ColetteMarenceRef.GetFactionRank(CollegeofWinterholdFaction) == 6
            AMQNPCSetup(AMQSetDress.OCW_SetDressEP_Spa)
            AMQSetDress.OCW_AMQ_Variation.SetValue(2)
            ColetteDoorSign.Disable()
            ;Debug.Trace("OCW: AMQ - Colette is Arch-Mage")
            ArchMageAppointed = True
        elseIf DrevisNelorenRef.GetFactionRank(CollegeofWinterholdFaction) == 6
            AMQNPCSetup(AMQSetDress.OCW_SetDressEP_Garden)
            AMQSetDress.OCW_AMQ_Variation.SetValue(0)
            DrevisDoorSign.Disable()
            ;Debug.Trace("OCW: AMQ - Drevis is Arch-Mage")
            ArchMageAppointed = True
        endIf
endFunction

Function AMQNPCSetup(ObjectReference Selection)
    AMQSetDress.OCW_TransitionContentEP.Enable()
    AMQSetDress.AMQDisableAll()
    Selection.Enable()
    AMQSetDress.OCW_TransitionContentEP.Disable()
endFunction
